Foreman - Bug #15659

PowerManager::Virt uses deprecated Object#timeout method

07/12/2016 08:03 AM - Dominic Cleal

Status: Closed
Priority: Low
Assignee: Dominic Cleal
Category: Rails
Target version: 1.13.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3641
Description

The PowerManager::Virt class uses a deprecated timeout method, causing warnings on Ruby 2.3:

/home/dcleal/code/foreman/foreman/app/services/power_manager/virt.rb:6:in “initialize’: Object#timeout is deprecated, use

Timeout.timeout instead.

(seen from test/unit/power_manager_test.rb)

Associated revisions

Revision d89ca436 - 07/12/2016 10:47 AM - Dominic Cleal
fixes #15659 - replace deprecated Object#timeout call

History

#1 - 07/12/2016 08:04 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3641 added

#2 - 07/12/2016 11:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d89ca4362da4c97427a47d10276ee2a691dd11f2.

#3 - 07/13/2016 10:03 AM - Dominic Cleal

- translation missing: en.field_release set to 160
